var nameGenerator = {

  // Ask the user for their name, update
  // the name on the, and return the nameGenerator object
  start: function() {
    var name = this.askForName();
    return this.updateName(name);
  },

  // Ask for the user's name, setting it to "this.name"
  askForName: function() {
    var name = prompt('What is your name');
    if (!name) return this.askForName();
    return name;
  },

  // Set the user's name in the h1 tag.
  updateName: function(name) {
    if (!name) {
      throw new Error('A name must be provided');
    }
    this.name = name;
    return this.setDisplayName();
  },

  // Update the specified "container" for the
  setDisplayName: function() {
    $('.js-name-container').html('My Name: ' + this.name)
    return this;
  }

};

$(function() {

  var client = nameGenerator.start();

  $('form').on('submit', function(event) {
    event.preventDefault();
    var $nameField = $('[name=new_name]');
    client.updateName($nameField.val());
    $nameField.val('')
  });

});