var CS = function(courseId, courseTitle) {
	this.courseId = courseId;
	this.courseTitle = courseTitle;
	this.students = [];
	this.lectures = [];
};

CS.prototype.template = _.template($("#app-template").html());

CS.prototype.addStudent = function(name) {
	this.students.push(name);
	return this;
};

CS.prototype.addLecture = function(name) {
	this.lectures.push(name);
	return this;
};

CS.prototype.render = function() {
	$('#app-container').html(this.template(this));
};